Unable pthreads (pthreads) extension.

Discussion in 'Development' started by Th3Ang3lo, Nov 8, 2019 at 5:18 AM.

  1. Th3Ang3lo

    Th3Ang3lo Spider Jockey

    Messages:
    28
    GitHub:
    Th3Ang3lo
    I need help... Today i tried install the pocketmine in VPS (Cent OS 7). However i receive this alert:

    Code:
    [ERROR] Selected PHP binary (/usr/bin/php) does not satisfy some requirements.
     - Unable to find the pthreads (pthreads) extension.
     - Unable to find the YAML (yaml) extension.
    [ERROR] Please recompile PHP with the needed configuration, or refer to the installation instructions at http://pmmp.rtfd.io/en/rtfd/installation.html.
    
    If i execute
    Code:
     $ ./compile.sh 
    or
    Code:
     $ ./install.sh 
    i receive the same error.
    How to solve this?
     
  2. HimbeersaftLP

    HimbeersaftLP Chicken

    Messages:
    1,786
    GitHub:
    HimbeersaftLP
    Can you show us your folder structure of the folder you installed PM in and also what command you used to start the server?
     

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.